package cn.com.ctop.report.service;

import cn.com.ctop.report.entity.AccountAttributionInfo;
import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import org.jeecg.common.api.vo.Result;

import java.math.BigDecimal;
import java.text.ParseException;
import java.util.List;
import java.util.Map;

public interface AccountAttributionInfoService extends IService<AccountAttributionInfo> {
    void reloadData();

    List<AccountAttributionInfo> getAccountInfoList(String userId, String mediaType);

    JSONArray getProjectAccountByUserId(String userId, String mediaType);

    JSONArray getMaterialProjectAccountByUserId(String userId, String mediaType);

    List<AccountAttributionInfo> getMaterialAccountInfoList(String userId, String mediaType);

    Map<String,Object> getSumDataBy(String mediaId, BigDecimal discount, JSONArray accounts, String startDate, String endDate);

    Map<String,Object> getBytedanceSumDataBy(String mediaId, BigDecimal discount, JSONArray accounts, String startDate, String endDate);

    List<JSONObject> getChartDataBy(String mediaId, BigDecimal discount, JSONArray accounts, String startDate, String endDate) throws ParseException, ParseException;
    List<JSONObject> getBytedanceChartDataBy(String mediaId, BigDecimal discount, JSONArray accounts, String startDate, String endDate) throws ParseException, ParseException;

}
